#!/bin/bash

# Prompt the user to enter the value of HOSTNAME
read -p "Enter the HOSTNAME: " HOSTNAME


# Function to obtain access token for a given email and password
get_access_token() {
    local email=$1
    local password=$2

    # Use curl to get the access token and jq to extract it
    local access_token=$(curl "http://$HOSTNAME/identity/api/auth/login" \
        -H 'Content-Type: application/json' \
        --data-raw '{"email":"'"$email"'","password":"'"$password"'"}' \
        --insecure -s | jq -j .token)

    echo "$access_token"
}

# Define the common password
COMMON_PASSWORD='cRaPi2023!!!'

# Define the email addresses
emails=(
    'apilab@akamai.com'
    'apilab2@akamai.com'
    'apilab3@akamai.com'
    'apilab4@akamai.com'
)
for ((x=1; x<=10; x++)); do
for ((i=0; i<${#emails[@]}; i++)); do
    # Generate access token
    access_token=$(get_access_token "${emails[i]}" "$COMMON_PASSWORD")
    # Get the corresponding UUID
    UUIDS=("b1804463-03be-4c51-88d3-e13b5b9a2331" "7e3633e8-f8e7-47a2-9076-705210dcc213" "2f3fd019-b89e-45dc-9d51-ee0aed14e550" "50e17ffb-3e81-4f93-8825-fd959310de6c")
    UUID=${UUIDS[i]}

    curl "http://$HOSTNAME/identity/api/v2/vehicle/$UUID/location" \
    -H "Accept: */*" \
    -H "Accept-Language: en-CA,en-GB;q=0.9,en-US;q=0.8,en;q=0.7,de;q=0.6" \
    -H "Authorization: Bearer $access_token" \
    -H "Cache-Control: no-cache" \
    -H "Connection: keep-alive" \
    -H "Content-Type: application/json" \
    -H "DNT: 1" \
    -H "Origin: http://$HOSTNAME" \
    -H "Pragma: no-cache" \
    -H "Referer: http://$HOSTNAME/identity/api/v2/user/dashboard" \
    -H "User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36" \
    --compressed \
    --insecure | jq -j \
    # Check the esponse code
    if [ $? -ne 0 ]; then
    echo "Error: Request failed."
    fi 
done    
done